GWT 2.7.0

## com.google.gwt.resources.gss.ast
Class CssRuntimeConditionalRuleNode

    java.lang.Object
      com.google.gwt.thirdparty.common.css.compiler.ast.CssNode
          com.google.gwt.thirdparty.common.css.compiler.ast.CssNodesListNode<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode>
              com.google.gwt.thirdparty.common.css.compiler.ast.CssAtRuleNode
                  com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode
                      com.google.gwt.resources.gss.ast.CssRuntimeConditionalRuleNode

    public class CssRuntimeConditionalRuleNode

extends com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode

Represents a conditional rule that needs to be evaluated at runtime.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssAtRuleNode
`com.google.gwt.thirdparty.common.css.compiler.ast.CssAtRuleNode.Type`

Field Summary

Fields inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssNodesListNode
`children`

Constructor Summary
`CssRuntimeConditionalRuleNode(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node, CssJavaExpressionNode condition)`
`CssRuntimeConditionalRuleNode(CssRuntimeConditionalRuleNode node)` Copy constructor.

Method Summary
`com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode` | `deepCopy()`
`CssJavaExpressionNode` | `getRuntimeCondition()`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode
`getBlock, getCondition`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssAtRuleNode
`copyNodes, getName, getParameters, getParametersCount, getType, setParameters, toString`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssNodesListNode
`addChildToBack, childIterable, getChildAt, getChildIterator, getChildren, getLastChild, isEmpty, isEnclosedWithBraces, numChildren, replaceChildAt`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssNode
`ancestors, appendComment, equals, getComments, getParent, getShouldBeFlipped, getSourceCodeLocation, getVisitController, hasComment, hashCode, inFunArgs, setComments, setShouldBeFlipped, setSourceCodeLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssRuntimeConditionalRuleNode

    public CssRuntimeConditionalRuleNode(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node,
                                         CssJavaExpressionNode condition)

### CssRuntimeConditionalRuleNode

    public CssRuntimeConditionalRuleNode(CssRuntimeConditionalRuleNode node)

  Copy constructor.

  Parameters:
    `node` -

Method Detail

### getRuntimeCondition

    public CssJavaExpressionNode getRuntimeCondition()

### deepCopy

    public com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode deepCopy()

  Overrides:
    `deepCopy` in class `com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode`

GWT 2.7.0